ru.yandex.clickhouse

## Class ClickHouseArray

- java.lang.Object
- - ru.yandex.clickhouse.ClickHouseArray

All Implemented Interfaces:
  Array

    public class ClickHouseArray
    extends Object
    implements Array

Author:
  Dmitry Andreev

### Constructor Summary

Constructors
Constructor and Description
`ClickHouseArray(int elementType, Object array)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `free()`
`Object` `getArray()`
`Object` `getArray(long index, int count)`
`Object` `getArray(long index, int count, Map<String,Class<?>> map)`
`Object` `getArray(Map<String,Class<?>> map)`
`int` `getBaseType()`
`String` `getBaseTypeName()`
`ResultSet` `getResultSet()`
`ResultSet` `getResultSet(long index, int count)`
`ResultSet` `getResultSet(long index, int count, Map<String,Class<?>> map)`
`ResultSet` `getResultSet(Map<String,Class<?>> map)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClickHouseArray

    public ClickHouseArray(int elementType,
                           Object array)

### Method Detail

#### getBaseTypeName

    public String getBaseTypeName()
                           throws SQLException

Specified by:
  `getBaseTypeName` in interface `Array`
Throws:
  `SQLException`

#### getBaseType

    public int getBaseType()
                    throws SQLException

Specified by:
  `getBaseType` in interface `Array`
Throws:
  `SQLException`

#### getArray

    public Object getArray()
                    throws SQLException

Specified by:
  `getArray` in interface `Array`
Throws:
  `SQLException`

#### getArray

    public Object getArray(Map<String,Class<?>> map)
                    throws SQLException

Specified by:
  `getArray` in interface `Array`
Throws:
  `SQLException`

#### getArray

    public Object getArray(long index,
                           int count)
                    throws SQLException

Specified by:
  `getArray` in interface `Array`
Throws:
  `SQLException`

#### getArray

    public Object getArray(long index,
                           int count,
                           Map<String,Class<?>> map)
                    throws SQLException

Specified by:
  `getArray` in interface `Array`
Throws:
  `SQLException`

#### getResultSet

    public ResultSet getResultSet()
                           throws SQLException

Specified by:
  `getResultSet` in interface `Array`
Throws:
  `SQLException`

#### getResultSet

    public ResultSet getResultSet(Map<String,Class<?>> map)
                           throws SQLException

Specified by:
  `getResultSet` in interface `Array`
Throws:
  `SQLException`

#### getResultSet

    public ResultSet getResultSet(long index,
                                  int count)
                           throws SQLException

Specified by:
  `getResultSet` in interface `Array`
Throws:
  `SQLException`

#### getResultSet

    public ResultSet getResultSet(long index,
                                  int count,
                                  Map<String,Class<?>> map)
                           throws SQLException

Specified by:
  `getResultSet` in interface `Array`
Throws:
  `SQLException`

#### free

    public void free()
              throws SQLException

Specified by:
  `free` in interface `Array`
Throws:
  `SQLException`